Index: admin/user.php
===================================================================
--- admin/user.php	(revision 3731)
+++ admin/user.php	(revision 3874)
@@ -125,9 +125,9 @@
 
             dcPage::addSuccessNotice(__('User has been successfully updated.'));
-            $core->adminurl->redirect("admin.user", array('id' => $new_id));
+            $core->adminurl->redirect("admin.user", ['id' => $new_id]);
         }
         # Add user
         else {
-            if ($core->getUsers(array('user_id' => $cur->user_id), true)->f(0) > 0) {
+            if ($core->getUsers(['user_id' => $cur->user_id], true)->f(0) > 0) {
                 throw new Exception(sprintf(__('User "%s" already exists.'), html::escapeHTML($cur->user_id)));
             }
@@ -145,5 +145,5 @@
                 $core->adminurl->redirect("admin.user");
             } else {
-                $core->adminurl->redirect("admin.user", array('id' => $new_id));
+                $core->adminurl->redirect("admin.user", ['id' => $new_id]);
             }
         }
@@ -173,9 +173,9 @@
 
     dcPage::breadcrumb(
-        array(
+        [
             __('System') => '',
             __('Users')  => $core->adminurl->get("admin.users"),
             $page_title  => ''
-        ))
+        ])
 );
 
@@ -196,9 +196,9 @@
 
 '<p><label for="user_id" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('User ID:') . '</label> ' .
-form::field('user_id', 20, 255, array(
+form::field('user_id', 20, 255, [
     'default'      => html::escapeHTML($user_id),
     'extra_html'   => 'required placeholder="' . __('Login') . '"',
     'autocomplete' => 'username'
-)) .
+]) .
 '</p>' .
 '<p class="form-note info">' . __('At least 2 characters using letters, numbers or symbols.') . '</p>';
@@ -217,8 +217,8 @@
 ($user_id != '' ? __('New password:') : __('Password:')) . '</label>' .
 form::password('new_pwd', 20, 255,
-    array(
+    [
         'extra_html'   => 'data-indicator="pwindicator"' .
         ($user_id != '' ? '' : ' required placeholder="' . __('Password') . '"'),
-        'autocomplete' => 'new-password')
+        'autocomplete' => 'new-password']
 ) .
 '</p>' .
@@ -233,7 +233,7 @@
 ($user_id != '' ? '' : '<abbr title="' . __('Required field') . '">*</abbr> ') . __('Confirm password:') . '</label> ' .
 form::password('new_pwd_c', 20, 255,
-    array(
+    [
         'extra_html'   => ($user_id != '' ? '' : 'required placeholder="' . __('Password') . '"'),
-        'autocomplete' => 'new-password')) .
+        'autocomplete' => 'new-password']) .
     '</p>';
 
@@ -250,46 +250,46 @@
 '<p><label for="user_super" class="classic">' .
 form::checkbox(($super_disabled ? 'user_super_off' : 'user_super'), '1',
-    array(
+    [
         'checked'  => $user_super,
         'disabled' => $super_disabled
-    )) .
+    ]) .
 ' ' . __('Super administrator') . '</label></p>' .
-($super_disabled ? form::hidden(array('user_super'), $user_super) : '') .
+($super_disabled ? form::hidden(['user_super'], $user_super) : '') .
 
 '<p><label for="user_name">' . __('Last Name:') . '</label> ' .
-form::field('user_name', 20, 255, array(
+form::field('user_name', 20, 255, [
     'default'      => html::escapeHTML($user_name),
     'autocomplete' => 'family-name'
-)) .
+]) .
 '</p>' .
 
 '<p><label for="user_firstname">' . __('First Name:') . '</label> ' .
-form::field('user_firstname', 20, 255, array(
+form::field('user_firstname', 20, 255, [
     'default'      => html::escapeHTML($user_firstname),
     'autocomplete' => 'given-name'
-)) .
+]) .
 '</p>' .
 
 '<p><label for="user_displayname">' . __('Display name:') . '</label> ' .
-form::field('user_displayname', 20, 255, array(
+form::field('user_displayname', 20, 255, [
     'default'      => html::escapeHTML($user_displayname),
     'autocomplete' => 'nickname'
-)) .
+]) .
 '</p>' .
 
 '<p><label for="user_email">' . __('Email:') . '</label> ' .
-form::email('user_email', array(
+form::email('user_email', [
     'default'      => html::escapeHTML($user_email),
     'autocomplete' => 'email'
-)) .
+]) .
 '</p>' .
 '<p class="form-note">' . __('Mandatory for password recovering procedure.') . '</p>' .
 
 '<p><label for="user_url">' . __('URL:') . '</label> ' .
-form::url('user_url', array(
+form::url('user_url', [
     'size'         => 30,
     'default'      => html::escapeHTML($user_url),
     'autocomplete' => 'url'
-)) .
+]) .
 '</p>' .
 '</div>' .
@@ -330,8 +330,8 @@
 '<abbr title="' . __('Required field') . '">*</abbr> ' . __('Your password:') . '</label>' .
 form::password('your_pwd', 20, 255,
-    array(
+    [
         'extra_html'   => 'required placeholder="' . __('Password') . '"',
         'autocomplete' => 'current-password'
-    )
+    ]
 ) . '</p>' .
 '<p class="clear"><input type="submit" name="save" accesskey="s" value="' . __('Save') . '" />' .
@@ -351,7 +351,7 @@
         '<form action="' . $core->adminurl->get("admin.user.actions") . '" method="post">' .
         '<p><input type="submit" value="' . __('Add new permissions') . '" />' .
-        form::hidden(array('redir'), $core->adminurl->get("admin.user", array('id' => $user_id))) .
-        form::hidden(array('action'), 'blogs') .
-        form::hidden(array('users[]'), $user_id) .
+        form::hidden(['redir'], $core->adminurl->get("admin.user", ['id' => $user_id])) .
+        form::hidden(['action'], 'blogs') .
+        form::hidden(['users[]'], $user_id) .
         $core->formNonce() .
             '</p>' .
@@ -369,5 +369,5 @@
                     '<form action="' . $core->adminurl->get("admin.user.actions") . '" method="post" class="perm-block">' .
                     '<p class="blog-perm">' . __('Blog:') . ' <a href="' .
-                    $core->adminurl->get("admin.blog", array('id' => html::escapeHTML($k))) . '">' .
+                    $core->adminurl->get("admin.blog", ['id' => html::escapeHTML($k)]) . '">' .
                     html::escapeHTML($v['name']) . '</a> (' . html::escapeHTML($k) . ')</p>';
 
@@ -381,8 +381,8 @@
                     '</ul>' .
                     '<p class="add-perm"><input type="submit" class="reset" value="' . __('Change permissions') . '" />' .
-                    form::hidden(array('redir'), $core->adminurl->get("admin.user", array('id' => $user_id))) .
-                    form::hidden(array('action'), 'perms') .
-                    form::hidden(array('users[]'), $user_id) .
-                    form::hidden(array('blogs[]'), $k) .
+                    form::hidden(['redir'], $core->adminurl->get("admin.user", ['id' => $user_id])) .
+                    form::hidden(['action'], 'perms') .
+                    form::hidden(['users[]'], $user_id) .
+                    form::hidden(['blogs[]'], $k) .
                     $core->formNonce() .
                         '</p>' .
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 3731)
+++ admin/users.php	(revision 3874)
@@ -13,5 +13,5 @@
 
 # Creating filter combo boxes
-$sortby_combo = array(
+$sortby_combo = [
     __('Username')          => 'user_id',
     __('Last Name')         => 'user_name',
@@ -19,26 +19,26 @@
     __('Display name')      => 'user_displayname',
     __('Number of entries') => 'nb_post'
-);
+];
 
-$sortby_lex = array(
+$sortby_lex = [
     // key in sorty_combo (see above) => field in SQL request
     'user_id'          => 'U.user_id',
     'user_name'        => 'user_name',
     'user_firstname'   => 'user_firstname',
-    'user_displayname' => 'user_displayname');
+    'user_displayname' => 'user_displayname'];
 
-$order_combo = array(
+$order_combo = [
     __('Descending') => 'desc',
     __('Ascending')  => 'asc'
-);
+];
 
 # Actions combo box
-$combo_action = array(
+$combo_action = [
     __('Set permissions') => 'blogs',
     __('Delete')          => 'deleteuser'
-);
+];
 
 # --BEHAVIOR-- adminUsersActionsCombo
-$core->callBehavior('adminUsersActionsCombo', array(&$combo_action));
+$core->callBehavior('adminUsersActionsCombo', [&$combo_action]);
 
 $show_filters = false;
@@ -59,5 +59,5 @@
 $order  = !empty($_GET['order']) ? $_GET['order'] : 'asc';
 
-$params['limit'] = array((($page - 1) * $nb_per_page), $nb_per_page);
+$params['limit'] = [(($page - 1) * $nb_per_page), $nb_per_page];
 
 # - Search filter
@@ -109,8 +109,8 @@
     dcPage::jsLoad('js/_users.js') . dcPage::jsFilterControl($show_filters),
     dcPage::breadcrumb(
-        array(
+        [
             __('System') => '',
             __('Users')  => ''
-        ))
+        ])
 );
 
@@ -164,9 +164,9 @@
         '</label> ' .
         '<input id="do-action" type="submit" value="' . __('ok') . '" />' .
-        form::hidden(array('q'), html::escapeHTML($q)) .
-        form::hidden(array('sortby'), $sortby) .
-        form::hidden(array('order'), $order) .
-        form::hidden(array('page'), $page) .
-        form::hidden(array('nb'), $nb_per_page) .
+        form::hidden(['q'], html::escapeHTML($q)) .
+        form::hidden(['sortby'], $sortby) .
+        form::hidden(['order'], $order) .
+        form::hidden(['page'], $page) .
+        form::hidden(['nb'], $nb_per_page) .
         $core->formNonce() .
         '</p>' .
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 3771)
+++ admin/users_actions.php	(revision 3874)
@@ -12,5 +12,5 @@
 dcPage::checkSuper();
 
-$users = array();
+$users = [];
 if (!empty($_POST['users']) && is_array($_POST['users'])) {
     foreach ($_POST['users'] as $u) {
@@ -21,5 +21,5 @@
 }
 
-$blogs = array();
+$blogs = [];
 if (!empty($_POST['blogs']) && is_array($_POST['blogs'])) {
     foreach ($_POST['blogs'] as $b) {
@@ -38,5 +38,5 @@
         $redir = $_POST['redir'];
     } else {
-        $redir = $core->adminurl->get("admin.users", array(
+        $redir = $core->adminurl->get("admin.users", [
             'q'      => $_POST['q'],
             'sortby' => $_POST['sortby'],
@@ -44,5 +44,5 @@
             'page'   => $_POST['page'],
             'nb'     => $_POST['nb']
-        ));
+        ]);
     }
 
@@ -87,5 +87,5 @@
             foreach ($users as $u) {
                 foreach ($blogs as $b) {
-                    $set_perms = array();
+                    $set_perms = [];
 
                     if (!empty($_POST['perm'][$b])) {
@@ -114,16 +114,16 @@
 if (!empty($users) && empty($blogs) && $action == 'blogs') {
     $breadcrumb = dcPage::breadcrumb(
-        array(
+        [
             __('System')      => '',
             __('Users')       => $core->adminurl->get("admin.users"),
             __('Permissions') => ''
-        ));
+        ]);
 } else {
     $breadcrumb = dcPage::breadcrumb(
-        array(
+        [
             __('System')  => '',
             __('Users')   => $core->adminurl->get("admin.users"),
             __('Actions') => ''
-        ));
+        ]);
 }
 
@@ -143,16 +143,16 @@
 $hidden_fields = '';
 foreach ($users as $u) {
-    $hidden_fields .= form::hidden(array('users[]'), $u);
+    $hidden_fields .= form::hidden(['users[]'], $u);
 }
 
 if (isset($_POST['redir']) && strpos($_POST['redir'], '://') === false) {
-    $hidden_fields .= form::hidden(array('redir'), html::escapeURL($_POST['redir']));
+    $hidden_fields .= form::hidden(['redir'], html::escapeURL($_POST['redir']));
 } else {
     $hidden_fields .=
-    form::hidden(array('q'), html::escapeHTML($_POST['q'])) .
-    form::hidden(array('sortby'), $_POST['sortby']) .
-    form::hidden(array('order'), $_POST['order']) .
-    form::hidden(array('page'), $_POST['page']) .
-    form::hidden(array('nb'), $_POST['nb']);
+    form::hidden(['q'], html::escapeHTML($_POST['q'])) .
+    form::hidden(['sortby'], $_POST['sortby']) .
+    form::hidden(['order'], $_POST['order']) .
+    form::hidden(['page'], $_POST['page']) .
+    form::hidden(['nb'], $_POST['nb']);
 }
 
@@ -170,5 +170,5 @@
 
     foreach ($users as $u) {
-        $user_list[] = '<a href="' . $core->adminurl->get("admin.user", array('id' => $u)) . '">' . $u . '</a>';
+        $user_list[] = '<a href="' . $core->adminurl->get("admin.user", ['id' => $u]) . '">' . $u . '</a>';
     }
 
@@ -201,8 +201,8 @@
             '<tr class="line">' .
             '<td class="nowrap">' .
-            form::checkbox(array('blogs[]'), $rs->blog_id,
-                array(
+            form::checkbox(['blogs[]'], $rs->blog_id,
+                [
                     'extra_html' => 'title="' . __('select') . ' ' . $rs->blog_id . '"'
-                )) .
+                ]) .
             '</td>' .
             '<td class="nowrap">' . $rs->blog_id . '</td>' .
@@ -220,5 +220,5 @@
         '<p><input id="do-action" type="submit" value="' . __('Set permissions') . '" />' .
         $hidden_fields .
-        form::hidden(array('action'), 'perms') .
+        form::hidden(['action'], 'perms') .
         $core->formNonce() . '</p>' .
             '</form>';
@@ -227,5 +227,5 @@
 # Permissions list for each selected blogs
 elseif (!empty($blogs) && !empty($users) && $action == 'perms') {
-    $user_perm = array();
+    $user_perm = [];
     if (count($users) == 1) {
         $user_perm = $core->getUserPermissions($users[0]);
@@ -233,5 +233,5 @@
 
     foreach ($users as $u) {
-        $user_list[] = '<a href="' . $core->adminurl->get("admin.user", array('id' => $u)) . '">' . $u . '</a>';
+        $user_list[] = '<a href="' . $core->adminurl->get("admin.user", ['id' => $u]) . '">' . $u . '</a>';
     }
 
@@ -244,6 +244,6 @@
 
     foreach ($blogs as $b) {
-        echo '<h3>' . ('Blog:') . ' <a href="' . $core->adminurl->get("admin.blog", array('id' => html::escapeHTML($b))) . '">' . html::escapeHTML($b) . '</a>' .
-        form::hidden(array('blogs[]'), $b) . '</h3>';
+        echo '<h3>' . ('Blog:') . ' <a href="' . $core->adminurl->get("admin.blog", ['id' => html::escapeHTML($b)]) . '">' . html::escapeHTML($b) . '</a>' .
+        form::hidden(['blogs[]'], $b) . '</h3>';
         $unknown_perms = $user_perm;
         foreach ($core->auth->getPermissionsTypes() as $perm_id => $perm) {
@@ -259,5 +259,5 @@
             echo
             '<p><label for="perm' . html::escapeHTML($b) . html::escapeHTML($perm_id) . '" class="classic">' .
-            form::checkbox(array('perm[' . html::escapeHTML($b) . '][' . html::escapeHTML($perm_id) . ']', 'perm' . html::escapeHTML($b) . html::escapeHTML($perm_id)),
+            form::checkbox(['perm[' . html::escapeHTML($b) . '][' . html::escapeHTML($perm_id) . ']', 'perm' . html::escapeHTML($b) . html::escapeHTML($perm_id)],
                 1, $checked) . ' ' .
             __($perm) . '</label></p>';
@@ -270,6 +270,6 @@
                 '<p><label for="perm' . html::escapeHTML($b) . html::escapeHTML($perm_id) . '" class="classic">' .
                 form::checkbox(
-                    array('perm[' . html::escapeHTML($b) . '][' . html::escapeHTML($perm_id) . ']',
-                        'perm' . html::escapeHTML($b) . html::escapeHTML($perm_id)),
+                    ['perm[' . html::escapeHTML($b) . '][' . html::escapeHTML($perm_id) . ']',
+                        'perm' . html::escapeHTML($b) . html::escapeHTML($perm_id)],
                     1, $checked) . ' ' .
                 sprintf(__('[%s] (unreferenced permission)'), $perm_id) . '</label></p>';
@@ -284,12 +284,12 @@
     '<p><label for="your_pwd" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Your password:') . '</label>' .
     form::password('your_pwd', 20, 255,
-        array(
+        [
             'extra_html'   => 'required placeholder="' . __('Password') . '"',
             'autocomplete' => 'current-password'
-        )
+        ]
     ) . '</p>' .
     '<p><input type="submit" accesskey="s" value="' . __('Save') . '" />' .
     $hidden_fields .
-    form::hidden(array('action'), 'updateperm') .
+    form::hidden(['action'], 'updateperm') .
     $core->formNonce() . '</p>' .
         '</div>' .
Index: build-tools/Minifier.php
===================================================================
--- build-tools/Minifier.php	(revision 3798)
+++ build-tools/Minifier.php	(revision 3883)
@@ -107,5 +107,5 @@
 
             $jshrink = new Minifier();
-            $js = $jshrink->lock($js);
+            $js      = $jshrink->lock($js);
             $jshrink->minifyDirectToOutput($js, $options);
 
@@ -155,7 +155,7 @@
     {
         $this->options = array_merge(static::$defaultOptions, $options);
-        $js = str_replace("\r\n", "\n", $js);
-        $js = str_replace('/**/', '', $js);
-        $this->input = str_replace("\r", "\n", $js);
+        $js            = str_replace("\r\n", "\n", $js);
+        $js            = str_replace('/**/', '', $js);
+        $this->input   = str_replace("\r", "\n", $js);
 
         // We add a newline to the end of the script to make it easier to deal
@@ -190,12 +190,14 @@
                     // if B is a space we skip the rest of the switch block and go down to the
                     // string/regex check below, resetting $this->b with getReal
-                    if($this->b === ' ')
+                    if ($this->b === ' ') {
                         break;
+                    }
 
                 // otherwise we treat the newline like a space
 
                 case ' ':
-                    if(static::isAlphaNumeric($this->b))
+                    if (static::isAlphaNumeric($this->b)) {
                         echo $this->a;
+                    }
 
                     $this->saveString();
@@ -205,5 +207,5 @@
                     switch ($this->b) {
                         case "\n":
-                            if (strpos('}])+-"\'', $this->a) !== false) {
+                            if (strpos('}])+-"\'`', $this->a) !== false) {
                                 echo $this->a;
                                 $this->saveString();
@@ -218,10 +220,11 @@
 
                         case ' ':
-                            if(!static::isAlphaNumeric($this->a))
+                            if (!static::isAlphaNumeric($this->a)) {
                                 break;
+                            }
 
                         default:
                             // check for some regex that breaks stuff
-                            if ($this->a === '/' && ($this->b === '\'' || $this->b === '"')) {
+                            if ($this->a === '/' && ($this->b === '\'' || $this->b === '"' || $this->b === '`')) {
                                 $this->saveRegex();
                                 continue;
@@ -237,6 +240,8 @@
             $this->b = $this->getReal();
 
-            if(($this->b == '/' && strpos('(,=:[!&|?', $this->a) !== false))
+            if (($this->b == '/' && strpos('(,=:[!&|?', $this->a) !== false)) {
                 $this->saveRegex();
+            }
+
         }
     }
@@ -251,5 +256,5 @@
         unset($this->input);
         $this->index = 0;
-        $this->a = $this->b = '';
+        $this->a     = $this->b     = '';
         unset($this->c);
         unset($this->options);
@@ -268,5 +273,5 @@
             unset($this->c);
 
-        // Otherwise we start pulling from the input.
+            // Otherwise we start pulling from the input.
         } else {
             $char = substr($this->input, $this->index, 1);
@@ -283,7 +288,7 @@
         // Normalize all whitespace except for the newline character into a
         // standard space.
-        if($char !== "\n" && ord($char) < 32)
-
+        if ($char !== "\n" && ord($char) < 32) {
             return ' ';
+        }
 
         return $char;
@@ -303,5 +308,5 @@
     {
         $startIndex = $this->index;
-        $char = $this->getChar();
+        $char       = $this->getChar();
 
         // Check to see if we're potentially in a comment
@@ -365,11 +370,11 @@
         if ($this->getNext('*/')) {
 
-            $this->getChar(); // get *
-            $this->getChar(); // get /
+            $this->getChar();         // get *
+            $this->getChar();         // get /
             $char = $this->getChar(); // get next real character
 
             // Now we reinsert conditional comments and YUI-style licensing comments
             if (($this->options['flaggedComments'] && $thirdCommentString === '!')
-                || ($thirdCommentString === '@') ) {
+                || ($thirdCommentString === '@')) {
 
                 // If conditional comments or flagged comments are not the first thing in the script
@@ -395,10 +400,12 @@
         }
 
-        if($char === false)
+        if ($char === false) {
             throw new \RuntimeException('Unclosed multiline comment at position: ' . ($this->index - 2));
+        }
 
         // if we're here c is part of the comment and therefore tossed
-        if(isset($this->c))
+        if (isset($this->c)) {
             unset($this->c);
+        }
 
         return $char;
@@ -419,7 +426,7 @@
 
         // If it's not there return false.
-        if($pos === false)
-
+        if ($pos === false) {
             return false;
+        }
 
         // Adjust position of index to jump ahead to the asked for string
@@ -445,9 +452,9 @@
 
         // If this isn't a string we don't need to do anything.
-        if ($this->a !== "'" && $this->a !== '"') {
+        if ($this->a !== "'" && $this->a !== '"' && $this->a !== '`') {
             return;
         }
 
-        // String type is the quote used, " or '
+        // String type is the quote used, " or ' or `
         $stringType = $this->a;
 
@@ -474,5 +481,9 @@
                 // block below.
                 case "\n":
-                    throw new \RuntimeException('Unclosed string at position: ' . $startpos );
+                    if ($stringType !== '`') {
+                        throw new \RuntimeException('Unclosed string at position: ' . $startpos);
+                    } else {
+                        echo $this->a;
+                    }
                     break;
 
@@ -494,5 +505,4 @@
                     break;
 
-
                 // Since we're not dealing with any special cases we simply
                 // output the character and continue our loop.
@@ -514,6 +524,7 @@
 
         while (($this->a = $this->getChar()) !== false) {
-            if($this->a === '/')
+            if ($this->a === '/') {
                 break;
+            }
 
             if ($this->a === '\\') {
@@ -522,6 +533,7 @@
             }
 
-            if($this->a === "\n")
+            if ($this->a === "\n") {
                 throw new \RuntimeException('Unclosed regex pattern at position: ' . $this->index);
+            }
 
             echo $this->a;
Index: build-tools/min-js.php
===================================================================
--- build-tools/min-js.php	(revision 3801)
+++ build-tools/min-js.php	(revision 3883)
@@ -28,5 +28,5 @@
     fclose($fp);
 } catch (Exception $e) {
-    fwrite(STDERR, $e->getMessage() . "\n");
+    fwrite(STDERR, $e->getMessage() . ($js ? "($js)" : '') . "\n");
     exit(1);
 }
Index: debian/mkdcl.php
===================================================================
--- debian/mkdcl.php	(revision 2566)
+++ debian/mkdcl.php	(revision 3874)
@@ -16,5 +16,5 @@
 	{
 		$f = file($this->f);
-		$res = array();
+		$res = [];
 		$done = false;
 
@@ -96,5 +96,5 @@
 	private function getPackageInfo($l)
 	{
-		$res = array(
+		$res = [
 			'package' => '',
 			'version' => '',
@@ -102,6 +102,6 @@
 			'keywords' => '',
 			'changelog' => '',
-			'maintainer' => array()
-		);
+			'maintainer' => []
+		];
 
 		$l = explode(';',$l);
@@ -126,9 +126,9 @@
 	private function getMaintainerInfo($l)
 	{
-		$res = array(
+		$res = [
 			'name' => '',
 			'email' => '',
 			'date' => ''
-		);
+		];
 
 		if (preg_match('/^ -- (.+?) <(.+?)>  (.+?)$/',$l,$m)) {
@@ -171,12 +171,12 @@
 		}
 
-		$res = array();
+		$res = [];
 		foreach ($x->logentry as $change)
 		{
-			$res[(integer) $change['revision']] = array(
+			$res[(integer) $change['revision']] = [
 				'author' => (string) $change->author,
 				'date' => (string) $change->date,
 				'msg' => trim((string) $change->msg)
-			);
+			];
 		}
 
Index: features/bootstrap/autoload.php
===================================================================
--- features/bootstrap/autoload.php	(revision 2995)
+++ features/bootstrap/autoload.php	(revision 3874)
@@ -15,5 +15,5 @@
 require_once __DIR__.'/../../vendor/autoload.php';
 
-$__autoload = array();
+$__autoload = [];
 $__autoload['dbStruct'] = CLEARBRICKS_PATH.'/dbschema/class.dbstruct.php';
 $__autoload['dbSchema'] = CLEARBRICKS_PATH.'/dbschema/class.dbschema.php';
Index: inc/admin/actions/class.dcaction.php
===================================================================
--- inc/admin/actions/class.dcaction.php	(revision 3731)
+++ inc/admin/actions/class.dcaction.php	(revision 3874)
@@ -64,15 +64,15 @@
      * @return mixed Value.
      */
-    public function __construct($core, $uri, $redirect_args = array())
+    public function __construct($core, $uri, $redirect_args = [])
     {
         $this->core            = $core;
         $this->actions         = new ArrayObject();
-        $this->combo           = array();
+        $this->combo           = [];
         $this->uri             = $uri;
         $this->redir_args      = $redirect_args;
-        $this->redirect_fields = array();
+        $this->redirect_fields = [];
         $this->action          = '';
         $this->cb_title        = __('Title');
-        $this->entries         = array();
+        $this->entries         = [];
         $this->from            = new ArrayObject($_POST);
         $this->field_entries   = 'entries';
@@ -122,12 +122,12 @@
                 $values = array_values($a);
                 if (!isset($this->combo[$k])) {
-                    $this->combo[$k] = array();
+                    $this->combo[$k] = [];
                 }
                 $this->combo[$k] = array_merge($this->combo[$k], $a);
             } elseif ($a instanceof formSelectOption) {
-                $values          = array($a->value);
+                $values          = [$a->value];
                 $this->combo[$k] = $a->value;
             } else {
-                $values          = array($a);
+                $values          = [$a];
                 $this->combo[$k] = $a;
             }
@@ -193,5 +193,5 @@
         $ret = '';
         foreach ($this->redir_args as $k => $v) {
-            $ret .= form::hidden(array($k), $v);
+            $ret .= form::hidden([$k], $v);
         }
         if ($with_ids) {
@@ -245,5 +245,5 @@
      * @return string the redirection url
      */
-    public function getRedirection($with_selected_entries = false, $params = array())
+    public function getRedirection($with_selected_entries = false, $params = [])
     {
         $redir_args = array_merge($params, $this->redir_args);
@@ -265,5 +265,5 @@
      * @access public
      */
-    public function redirect($with_selected_entries = false, $params = array())
+    public function redirect($with_selected_entries = false, $params = [])
     {
         http::redirect($this->getRedirection($with_selected_entries, $params));
@@ -357,7 +357,7 @@
             $ret .=
             '<tr><td class="minimal">' .
-            form::checkbox(array($this->field_entries . '[]'), $id, array(
+            form::checkbox([$this->field_entries . '[]'], $id, [
                 'checked' => true
-            )) .
+            ]) .
                 '</td>' .
                 '<td>' . $title . '</td></tr>';
Index: inc/admin/actions/class.dcactionblogs.php
===================================================================
--- inc/admin/actions/class.dcactionblogs.php	(revision 3731)
+++ inc/admin/actions/class.dcactionblogs.php	(revision 3874)
@@ -12,8 +12,8 @@
 class dcBlogsActionsPage extends dcActionsPage
 {
-    public function __construct($core, $uri, $redirect_args = array())
+    public function __construct($core, $uri, $redirect_args = [])
     {
         parent::__construct($core, $uri, $redirect_args);
-        $this->redirect_fields = array('status', 'sortby', 'order', 'page', 'nb');
+        $this->redirect_fields = ['status', 'sortby', 'order', 'page', 'nb'];
         $this->field_entries   = 'blogs';
         $this->title_cb        = __('Blogs');
@@ -57,9 +57,9 @@
         $this->core->error->add($e->getMessage());
         $this->beginPage(dcPage::breadcrumb(
-            array(
+            [
                 html::escapeHTML($this->core->blog->name) => '',
                 __('Blogs')                               => $this->core->adminurl->get('admin.blogs'),
                 __('Blogs actions')                       => ''
-            ))
+            ])
         );
         $this->endPage();
@@ -72,8 +72,8 @@
             $ret .=
             '<tr>' .
-            '<td class="minimal">' . form::checkbox(array($this->field_entries . '[]'), $id,
-                array(
+            '<td class="minimal">' . form::checkbox([$this->field_entries . '[]'], $id,
+                [
                     'checked' => true
-                )) .
+                ]) .
                 '</td>' .
                 '<td>' . $res['blog'] . '</td>' .
@@ -90,5 +90,5 @@
     protected function fetchEntries($from)
     {
-        $params = array();
+        $params = [];
         if (!empty($from['blogs'])) {
             $params['blog_id'] = $from['blogs'];
@@ -97,8 +97,8 @@
         $bl = $this->core->getBlogs($params);
         while ($bl->fetch()) {
-            $this->entries[$bl->blog_id] = array(
+            $this->entries[$bl->blog_id] = [
                 'blog' => $bl->blog_id,
                 'name' => $bl->blog_name
-            );
+            ];
         }
         $this->rs = $bl;
@@ -115,15 +115,15 @@
 
         $ap->addAction(
-            array(__('Status') => array(
+            [__('Status') => [
                 __('Set online')     => 'online',
                 __('Set offline')    => 'offline',
                 __('Set as removed') => 'remove'
-            )),
-            array('dcDefaultBlogActions', 'doChangeBlogStatus')
+            ]],
+            ['dcDefaultBlogActions', 'doChangeBlogStatus']
         );
         $ap->addAction(
-            array(__('Delete') => array(
-                __('Delete') => 'delete')),
-            array('dcDefaultBlogActions', 'doDeleteBlog')
+            [__('Delete') => [
+                __('Delete') => 'delete']],
+            ['dcDefaultBlogActions', 'doDeleteBlog']
         );
     }
@@ -175,5 +175,5 @@
         }
 
-        $ids = array();
+        $ids = [];
         foreach ($ap_ids as $id) {
             if ($id == $core->blog->id) {
